import headers from '@open-xchange/eslint-plugin-headers'
import vueEslintParser from 'vue-eslint-parser'

export default [
  {
    name: 'license-header vue',
    files: ['**/*.vue'],
    plugins: {
      headers
    },
    ignores: [
      'src/pe/**/*',
      'public/*',
      'node_modules/*',
      'dist/*',
      'output/*',
      'helm/*'
    ],
    rules: {
      'headers/header-format': ['error', {
        source: 'file',
        path: 'license-header-vue',
        trailingNewlines: 2,
        enableVueSupport: true
      }]
    },
    languageOptions: {
      parser: vueEslintParser
    }
  }
]
