import { describe, it, expect } from '@jest/globals'
import * as rollup from 'rollup'
import gettextPlugin from '../dist/index'
import dynamicImportVars from '@rollup/plugin-dynamic-import-vars'

describe('play nice along rollup dynamic import vars plugin', function () {
  it('should make sure dynamic imports are not handled by rollup plugin', async () => {
    const bundle = await rollup.rollup({
      input: 'test/mySimpleModule',
      plugins: [dynamicImportVars({ warnOnError: true }), gettextPlugin({
        poFiles: 'spec/fixtures/multiple_languages/*.po',
        defaultDictionary: 'test/mySimpleModule',
        defaultLanguage: 'de_DE'
      })]
    })
    const { output } = await bundle.generate({})
    expect(output.map(c => c.fileName)).toHaveLength(4)
  })
})
