import { describe, it, expect, afterEach } from '@jest/globals'
import { createServer } from 'vite'

import vitePluginOxManifests from '../../dist/index'
import { getPort, getDirname } from '../util'

const PORT = getPort()
const __dirname = getDirname(import.meta.url)

describe('deps', function () {
  let server

  afterEach(async function () {
    if (server) {
      await server.close()
      server = null
    }
  })

  it('deliver empty deps in dev mode', async function () {
    server = await createServer({
      root: __dirname,
      logLevel: 'silent',
      plugins: [vitePluginOxManifests({})]
    })
    await server.listen(PORT)

    const res = await fetch(`http://localhost:${PORT}/api/deps.json`)
    const deps = await res.json()
    expect(deps).toEqual({})
  })
})
