import { describe, it, expect } from '@jest/globals'
import { build } from 'vite'
import vitePluginOxExternals from '@open-xchange/vite-plugin-ox-externals'

import vitePluginOxManifests from '../../dist/index'
import { getFileFromBundle, getDirname } from '../util'

const __dirname = getDirname(import.meta.url)

describe('Settings typescript', function () {
  it('works', async function () {
    const bundle = await build({
      root: __dirname,
      logLevel: 'silent',
      build: {
        write: false,
        rollupOptions: {
          input: {}
        }
      },
      plugins: [vitePluginOxManifests({

      }), vitePluginOxExternals({
        prefix: '$'
      })]
    })
    const manifestFile = getFileFromBundle('manifest', bundle)
    const manifests = JSON.parse(manifestFile.source)
    expect(Object.keys(manifests)).toHaveLength(2)
    expect(manifests['settings.ts'].meta.manifests[0].namespace).toEqual('settings')
  })
})
